Subject: (urth) Urth website

From: adam louis stephanides <astephan at students.uiuc.edu>
Date: Sun, 22 Feb 1998 16:46:02 +0000

[Posted from URTH, a mailing list about Gene Wolfe's New Sun and other works]

What happened to the list website at moonmilk.volcano.org?  I got
an email from someone who tried to access it and got an error
message, so I tried it myself and the same thing happened.

--Adam